<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>WiaItemFlag (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WiaItemFlag (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WiaItemFlag.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/WiaItemFlag.html" target="_top">Frames</a></li>
<li><a href="WiaItemFlag.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Enum WiaItemFlag" class="title">Enum WiaItemFlag</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a>&gt;</li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.device.scanner.wia.WiaItemFlag</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com4j.ComEnum, <a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">WiaItemFlag</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a>&gt;
implements com4j.ComEnum</pre>
<div class="block"><p>
 An Item's type is composed of bits from the WiaItemFlags enumeration. You can test an Item's type by using the AND operation with Item.Properties("Item Flags") and a member from the WiaItemFlags enumeration.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#AnalyzeItemFlag">AnalyzeItemFlag</a></span></code>
<div class="block">
 This item supports the Analyze method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#AudioItemFlag">AudioItemFlag</a></span></code>
<div class="block">
 The item is an audio file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#BurstItemFlag">BurstItemFlag</a></span></code>
<div class="block">
 Images in this folder were taken in a continuous time sequence.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#DeletedItemFlag">DeletedItemFlag</a></span></code>
<div class="block">
 The item is marked as deleted.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#DeviceItemFlag">DeviceItemFlag</a></span></code>
<div class="block">
 The item represents a connected device.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#DisconnectedItemFlag">DisconnectedItemFlag</a></span></code>
<div class="block">
 The item represents a disconnected device.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#FileItemFlag">FileItemFlag</a></span></code>
<div class="block">
 The item is a file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#FolderItemFlag">FolderItemFlag</a></span></code>
<div class="block">
 The item is a folder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#FreeItemFlag">FreeItemFlag</a></span></code>
<div class="block">
 The item is uninitialized or has been deleted.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#GeneratedItemFlag">GeneratedItemFlag</a></span></code>
<div class="block">
 This item was created, and does not correspond to an item in a device.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#HasAttachmentsItemFlag">HasAttachmentsItemFlag</a></span></code>
<div class="block">
 The item has file attachments.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#HPanoramaItemFlag">HPanoramaItemFlag</a></span></code>
<div class="block">
 The item represents a horizontal panoramic image.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#ImageItemFlag">ImageItemFlag</a></span></code>
<div class="block">
 The item is an image file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#RemovedItemFlag">RemovedItemFlag</a></span></code>
<div class="block">
 The item has been removed from the device.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#RootItemFlag">RootItemFlag</a></span></code>
<div class="block">
 Identifies the root item in the device.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#StorageItemFlag">StorageItemFlag</a></span></code>
<div class="block">
 The item represents a storage medium.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#TransferItemFlag">TransferItemFlag</a></span></code>
<div class="block">
 The item can be transferred.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#VideoItemFlag">VideoItemFlag</a></span></code>
<div class="block">
 The item represents streaming video.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#VPanoramaItemFlag">VPanoramaItemFlag</a></span></code>
<div class="block">
 The item represents a vertical panoramic image.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#comEnumValue--">comEnumValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="FreeItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FreeItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> FreeItemFlag</pre>
<div class="block"><p>
 The item is uninitialized or has been deleted.
 </p>
 <p>
 The value of this constant is 0
 </p></div>
</li>
</ul>
<a name="ImageItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ImageItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> ImageItemFlag</pre>
<div class="block"><p>
 The item is an image file. Only valid for items that also have the FileItemFlag flag set.
 </p>
 <p>
 The value of this constant is 1
 </p></div>
</li>
</ul>
<a name="FileItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> FileItemFlag</pre>
<div class="block"><p>
 The item is a file.
 </p>
 <p>
 The value of this constant is 2
 </p></div>
</li>
</ul>
<a name="FolderItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FolderItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> FolderItemFlag</pre>
<div class="block"><p>
 The item is a folder.
 </p>
 <p>
 The value of this constant is 4
 </p></div>
</li>
</ul>
<a name="RootItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RootItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> RootItemFlag</pre>
<div class="block"><p>
 Identifies the root item in the device.
 </p>
 <p>
 The value of this constant is 8
 </p></div>
</li>
</ul>
<a name="AnalyzeItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AnalyzeItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> AnalyzeItemFlag</pre>
<div class="block"><p>
 This item supports the Analyze method.
 </p>
 <p>
 The value of this constant is 16
 </p></div>
</li>
</ul>
<a name="AudioItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AudioItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> AudioItemFlag</pre>
<div class="block"><p>
 The item is an audio file. Only valid for items that also have the FileItemFlag flag set.
 </p>
 <p>
 The value of this constant is 32
 </p></div>
</li>
</ul>
<a name="DeviceItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DeviceItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> DeviceItemFlag</pre>
<div class="block"><p>
 The item represents a connected device.
 </p>
 <p>
 The value of this constant is 64
 </p></div>
</li>
</ul>
<a name="DeletedItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DeletedItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> DeletedItemFlag</pre>
<div class="block"><p>
 The item is marked as deleted.
 </p>
 <p>
 The value of this constant is 128
 </p></div>
</li>
</ul>
<a name="DisconnectedItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DisconnectedItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> DisconnectedItemFlag</pre>
<div class="block"><p>
 The item represents a disconnected device.
 </p>
 <p>
 The value of this constant is 256
 </p></div>
</li>
</ul>
<a name="HPanoramaItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HPanoramaItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> HPanoramaItemFlag</pre>
<div class="block"><p>
 The item represents a horizontal panoramic image.
 </p>
 <p>
 The value of this constant is 512
 </p></div>
</li>
</ul>
<a name="VPanoramaItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VPanoramaItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> VPanoramaItemFlag</pre>
<div class="block"><p>
 The item represents a vertical panoramic image.
 </p>
 <p>
 The value of this constant is 1024
 </p></div>
</li>
</ul>
<a name="BurstItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BurstItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> BurstItemFlag</pre>
<div class="block"><p>
 Images in this folder were taken in a continuous time sequence. Only valid for items that also have the FolderItemFlag flag set.
 </p>
 <p>
 The value of this constant is 2048
 </p></div>
</li>
</ul>
<a name="StorageItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>StorageItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> StorageItemFlag</pre>
<div class="block"><p>
 The item represents a storage medium.
 </p>
 <p>
 The value of this constant is 4096
 </p></div>
</li>
</ul>
<a name="TransferItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TransferItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> TransferItemFlag</pre>
<div class="block"><p>
 The item can be transferred.
 </p>
 <p>
 The value of this constant is 8192
 </p></div>
</li>
</ul>
<a name="GeneratedItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GeneratedItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> GeneratedItemFlag</pre>
<div class="block"><p>
 This item was created, and does not correspond to an item in a device.
 </p>
 <p>
 The value of this constant is 16384
 </p></div>
</li>
</ul>
<a name="HasAttachmentsItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HasAttachmentsItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> HasAttachmentsItemFlag</pre>
<div class="block"><p>
 The item has file attachments.
 </p>
 <p>
 The value of this constant is 32768
 </p></div>
</li>
</ul>
<a name="VideoItemFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VideoItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> VideoItemFlag</pre>
<div class="block"><p>
 The item represents streaming video.
 </p>
 <p>
 The value of this constant is 65536
 </p></div>
</li>
</ul>
<a name="RemovedItemFlag">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RemovedItemFlag</h4>
<pre>public static final&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a> RemovedItemFlag</pre>
<div class="block"><p>
 The item has been removed from the device.
 </p>
 <p>
 The value of this constant is -2147483648
 </p></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (WiaItemFlag c : WiaItemFlag.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaItemFlag.html" title="enum in io.mosip.registration.device.scanner.wia">WiaItemFlag</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="comEnumValue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>comEnumValue</h4>
<pre>public&nbsp;int&nbsp;comEnumValue()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>comEnumValue</code>&nbsp;in interface&nbsp;<code>com4j.ComEnum</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WiaItemFlag.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaImagePropertyType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaPropertyType.html" title="enum in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/WiaItemFlag.html" target="_top">Frames</a></li>
<li><a href="WiaItemFlag.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
